// 1. Що таке оператори в JavaScript і які їхні типи ви знаєте?
// Оператори в JavaScript - це символи або ключові слова, 
// які виконують операції над операндами для отримання певного результату.
// В JavaScript існують різні типи операторів, такі як арифметичні, 
// порівняння, логічні, присвоєння тощо.

// 2. Для чого використовуються оператори порівняння в JavaScript? Наведіть приклади таких операторів.
// Оператори порівняння використовуються для порівняння двох значень або виразів 
// і повертають результат у вигляді логічного значення true або false.
// Наприклад:
//   - == перевірка на рівність (наприклад, x == y)
//   - === строга перевірка на рівність (включаючи тип даних, наприклад, x === y)
//   - != перевірка на нерівність (наприклад, x != y)
//   - !== строга перевірка на нерівність (включаючи тип даних, наприклад, x !== y)
//   - > більше (наприклад, x > y)
//   - < менше (наприклад, x < y)
//   - >= більше або рівне (наприклад, x >= y)
//   - <= менше або рівне (наприклад, x <= y)

// 3. Що таке операції присвоєння в JavaScript? Наведіть кілька прикладів операцій присвоєння.
// Операції присвоєння в JavaScript використовуються для призначення значення змінній.
// Кілька прикладів операцій присвоєння:
//   - = присвоєння значення змінній (наприклад, x = 10)
//   - += додавання та присвоєння (наприклад, x += 5, це еквівалентно x = x + 5)
//   - -= віднімання та присвоєння (наприклад, x -= 3, це еквівалентно x = x - 3)
//   - *= множення та присвоєння (наприклад, x *= 2, це еквівалентно x = x * 2)
//   - /= ділення та присвоєння (наприклад, x /= 4, це еквівалентно x = x / 4)


// Завдання 1
let username = "Yarik"; 
let password = "secret"; 


let userInput = prompt("Введіть ваш пароль:");


if (userInput === password) {
    console.log("Пароль вірний!");
    alert("Пароль вірний!");
} else {
    console.log("Пароль невірний!");
    alert("Пароль невірний!");
}

// Завдання 2
let x = 5;
let y = 3;


alert("Додавання x та y: " + (x + y));
alert("Віднімання x від y: " + (x - y));
alert("Множення x на y: " + (x * y));
alert("Ділення x на y: " + (x / y));